Bug 497419 - first message of totem stream thrown away - 5.3z stream regression
first message of totem stream thrown away - 5.3z stream regression
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On:
Blocks: 500916
  Show dependency treegraph
 
Reported: 2009-04-23 16:10 EDT by Steven Dake
Modified: 2016-04-26 09:46 EDT (History)
8 users (show)

See Also:
Fixed In Version: openais-0.80.6-1.el5_4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2009-04-23 16:10:54 EDT
Description of problem:
A regression was introduced in the 5_3.4 z stream which causes the first message of a totem network to be thrown away when it shouldn't be.  This causes sync not to finish and blocks the cluster with an error ERR_TRY_AGAIN

Version-Release number of selected component (if applicable):
openais-0.80.3-22.5_3.4

How reproducible:
run cpgbench on 3 nodes.  Kill a node.  happens 20% of the time

Steps to Reproduce:
1.run cpgbench on 3 nodes.
2.  Kill 1 node.
3.  system blocks indefinately.
  
Actual results:
system blocks.

Expected results:
system shouldn't block.

Additional info:
patch available fixed upstream.
Comment 7 Chris Ward 2009-07-03 14:42:45 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 9 errata-xmlrpc 2009-09-02 07:29:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1366.html

Note You need to log in before you can comment on or make changes to this bug.